function TM_graph(htmlElement, xAxisLabel, yAxisLabel, yArrayLen){
    this.htmlElement = htmlElement;
    this.xAxisLabel = xAxisLabel;
    this.yAxisLabel = yAxisLabel;
    this.yArrayLen = yArrayLen;
    this.vArray = [];
}
TM_graph.prototype.graphIter = function(x, y){
    this.vArray.push([x, y]);                    //     
    if (this.vArray.length > this.yArrayLen) this.vArray.shift(); //     yArrayLen  -  
    var xAxisLabel1 = this.xAxisLabel;
    var yAxisLabel1 = this.yAxisLabel;
    var htmlElement1 = this.htmlElement;
    var vArray1 = this.vArray;
    $(function() {
        var options = {
            xaxes: [{axisLabel: xAxisLabel1}],
            yaxes: [{axisLabel: yAxisLabel1}]
        };
        $.plot(htmlElement1, [vArray1], options);  //     "vGraph"
    });
};

function TM(){}
TM.prototype.addSlider = function(htmlSliderElement, htmlValueElement, minVal, maxVal, stepVal, startVal, setFunc){
    $(function() {
        $( htmlSliderElement ).slider({                               //   div -  "slider_m"
            value:startVal, min: minVal, max: maxVal, step: stepVal,
            slide: function( event, ui ) {                      //     
                $( htmlValueElement ).text( ui.value.toFixed(2) );    //     "value_m"
                setFunc(ui.value);
            }
        });
    });
};
TM.prototype.addInputSlider = function(htmlSliderElement, htmlValueElement, minVal, maxVal, stepVal, startVal, setFunc, pressFunc){
    window[pressFunc] = function(event){
        var regExpPattern = /[0-9]+[.]?[0-9]+/;
        var inputVal = document.getElementById(htmlValueElement.substr(1)).value;
        if (regExpPattern.test(inputVal.toString()) && inputVal != 0){setFunc(inputVal);}
    };

    $(function() {
        $( htmlSliderElement ).slider({
            value:startVal, min: minVal, max: maxVal, step: stepVal,
            slide: function( event, ui ) {
                $( htmlValueElement ).val( ui.value.toFixed(2) );
                setFunc(ui.value);
            }
        });
        $( htmlValueElement ).val($( htmlSliderElement ).slider( "value" ).toFixed(2) );
    });
};






